Package com.xebialabs.xlrelease.domain.notification

# Enum Class MailPriority

java.lang.Object
java.lang.Enum<MailPriority>
com.xebialabs.xlrelease.domain.notification.MailPriority

All Implemented Interfaces:
  `Serializable`, `Comparable<MailPriority>`, `Constable`

public enum MailPriority extends Enum<MailPriority>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `High`
  `Low`
  `Normal`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MailPriority`
  `fromString(String text)`
  `String`
  `getImportance()`
  `String`
  `getPriority()`
  `static MailPriority`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MailPriority[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### High

    public static final MailPriority High

  - ### Normal

    public static final MailPriority Normal

  - ### Low

    public static final MailPriority Low

- ## Method Details

  - ### values

    public static MailPriority[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MailPriority valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getPriority

    public String getPriority()

  - ### getImportance

    public String getImportance()

  - ### fromString

    public static MailPriority fromString(String text)